
#include <slist>

namespace autil {

  class StringBuffer {
    static const unsigned int   buf_size = 1024 - 16;
    struct Buf {
      char buf[buf_size];
    };
    static const Buf sbuf;
    slist<Buf> bufs;
    unsigned int fill;
  public:
    StringBuffer();
    char * alloc(unsigned int size);
  };

}
